{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.ammo_display": {
			"states": {
				"default": {
					"on_entry": ["/title @s clear"],
					"transitions": [
						{"p2": "q.equipped_item_any_tag('slot.weapon.mainhand','p2')"},
						{"ar23": "q.equipped_item_any_tag('slot.weapon.mainhand','ar23')"},
						{"ar23p": "q.equipped_item_any_tag('slot.weapon.mainhand','ar23p')"},
						{"mg43": "q.equipped_item_any_tag('slot.weapon.mainhand','mg43')"},
						{"eat17": "q.equipped_item_any_tag('slot.weapon.mainhand','eat17')"}
					]
				},
				"p2": {
					"on_entry": ["/function p2_display"],
					"transitions": [
						{"default": "!q.equipped_item_any_tag('slot.weapon.mainhand','p2')"}
					]
				},
				"ar23": {
					"on_entry": ["/function ar23_display"],
					"transitions": [
						{"default": "!q.equipped_item_any_tag('slot.weapon.mainhand','ar23')"}
					]
				},
				"ar23p": {
					"on_entry": ["/function ar23p_display"],
					"transitions": [
						{"default": "!q.equipped_item_any_tag('slot.weapon.mainhand','ar23p')"}
					]
				},
				"mg43": {
					"on_entry": ["/function mg43_display"],
					"transitions": [
						{"default": "!q.equipped_item_any_tag('slot.weapon.mainhand','mg43')"}
					]
				},
				"eat17": {
					"on_entry": ["/event entity @s full"],
					"transitions": [
						{"default": "!q.equipped_item_any_tag('slot.weapon.mainhand','eat17')"}
					]
				}
			}
		}
	}
}